## Create Regional Hostname `client.addressing.regionalHostnames.create(RegionalHostnameCreateParamsparams, RequestOptionsoptions?): RegionalHostnameCreateResponse` **post** `/zones/{zone_id}/addressing/regional_hostnames` Create a new Regional Hostname entry. Cloudflare will only use data centers that are physically located within the chosen region to decrypt and service HTTPS traffic. Learn more about [Regional Services](https://developers.cloudflare.com/data-localization/regional-services/get-started/). ### Parameters - `params: RegionalHostnameCreateParams` - `zone_id: string` Path param: Identifier. - `hostname: string` Body param: DNS hostname to be regionalized, must be a subdomain of the zone. Wildcards are supported for one level, e.g `*.example.com` - `region_key: string` Body param: Identifying key for the region - `routing?: string` Body param: Configure which routing method to use for the regional hostname ### Returns - `RegionalHostnameCreateResponse` - `created_on: string` When the regional hostname was created - `hostname: string` DNS hostname to be regionalized, must be a subdomain of the zone. Wildcards are supported for one level, e.g `*.example.com` - `region_key: string` Identifying key for the region - `routing?: string` Configure which routing method to use for the regional hostname ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const regionalHostname = await client.addressing.regionalHostnames.create({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', hostname: 'foo.example.com', region_key: 'ca', }); console.log(regionalHostname.created_on); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created_on": "2014-01-01T05:20:00.12345Z", "hostname": "foo.example.com", "region_key": "ca", "routing": "dns" } } ```